# InputHandler | Stardust XR
Derived from Spatial (scalable: false)

Skip to main content

# InputHandler

## Derived from Spatial (`scalable: false`)#

A handler to allow clients to recieve input.

## Methods#

### `setOrigin(Vector3 origin)` #

Sets the origin to `origin`.

### `setOrientation(Quat orientation)` #

Sets the orientation to `orientation`.

### `setPose(Vector3 origin, Quat orientation)` #

Sets the pose using `origin` and `orientation` relative to the pose's space.

### `setField(string field)` #

Sets the field this input handler will use.

### `setCallback(string callbackPath, string callbackMethod)` #

Sets the callback this input handler will use.

- Derived from Spatial (`scalable: false`)
- Methods
  - `setOrigin(Vector3 origin)`
  - `setOrientation(Quat orientation)`
  - `setPose(Vector3 origin, Quat orientation)`
  - `setField(string field)`
  - `setCallback(string callbackPath, string callbackMethod)`